Query Latest Properties Of Resources
Get current (latest) values of requested properties for the specified resources
Get current (latest) values of requested properties for the specified resources
Request
URI
POST
https://{api_host}/suite-api/api/resources/properties/latest/query
COPY
Request Body
The query spec
properties-query
of type(s)
application/json
Required
Show optional properties
{
"propertyKeys": [
{}
],
"resourceIds": [
{}
]
}
"{\n \"resourceIds\" : [ \"2ee0f2fe-9a42-47bb-877e-81d79e0384a7\", \"03166775-6fbc-401a-88c1-93479d59e875\" ],\n \"propertyKeys\" : [ \"prop|key1\", \"prop|key2\" ],\n \"instanced\" : false\n}"
boolean
instanced
Optional
Indicates whether specified property keys of query should be forcibly treated as instanced properties
array of
string
propertyKeys
Required
Array of property keys to fetch the latest values for
array of
string
resourceIds
Required
Array of resource ids to fetch the properties for
Responses
200
The mapping from requested resources to current (latest) values of specified properties
Returns
resources-property-contents
of type(s)
application/json
"{\n \"values\" : [ {\n \"resourceId\" : \"19a034f7-20d1-4721-9d7f-fa19f5883718\",\n \"property-contents\" : {\n \"property-content\" : [ {\n \"statKey\" : \"system|availability\",\n \"timestamps\" : [ 1119844280663 ],\n \"values\" : [ \"UP\" ]\n }, {\n \"statKey\" : \"config|num|processes\",\n \"timestamps\" : [ 1119844280663 ],\n \"data\" : [ 93.0 ]\n } ]\n }\n }, {\n \"resourceId\" : \"19a034f7-20d1-4721-9d7f-fa19f5883718\",\n \"property-contents\" : {\n \"property-content\" : [ {\n \"statKey\" : \"system|availability\",\n \"timestamps\" : [ 1119844280663 ],\n \"values\" : [ \"UP\" ]\n }, {\n \"statKey\" : \"config|num|processes\",\n \"timestamps\" : [ 1119844280663 ],\n \"data\" : [ 93.0 ]\n } ]\n }\n } ]\n}"
array of
object
values
Optional
Collection of resource property contents
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"propertyKeys":["string"],"resourceIds":["string"]}' https://{api_host}/suite-api/api/resources/properties/latest/query
Resources Operations
GET
Get Resources
PUT
Update Resource
POST
Create Resource Using Adapter Kind
POST
Create Resource Using Adapter Instance
DELETE
Delete Resources
POST
Get Resources Relationships
DELETE
Delete Custom Datacenters
GET
Get Custom Datacenters
POST
Create Custom Datacenter
PUT
Update Custom Datacenter
GET
Get Custom Datacenter
GET
Get Custom Groups
POST
Create Custom Group
PUT
Modify Custom Group
GET
Get Group Types
POST
Add Group Type
DELETE
Delete Group Type
DELETE
Delete Custom Group
GET
Get Custom Group
GET
Get Custom Group Members
DELETE
Unmark Resources As Being Maintained
PUT
Mark Resources As Being Maintained
PUT
Start Monitoring Resources
Deprecated
PUT
Stop Monitoring Resources
Deprecated
GET
Get Custom Profiles
POST
Create Custom Profile
PUT
Modify Custom Profile
DELETE
Delete Custom Profile
GET
Get Custom Profile
GET
Get Resource Properties List
POST
Add Resources Properties
POST
Add Resources Properties Using Adapter Kind
POST
Query Latest Properties Of Resources
POST
Get Matching Resources
GET
Get Stat Keys Of Resources
GET
Get Stats Of Resources
POST
Add Stats For Resources
POST
Add Stats For Resources Using Push Adapter Kind
POST
Get Stats And DT For Resources
GET
Get Latest Stats Of Resources
POST
Query Latest Stats Of Resources
POST
Get Stats For Resources
GET
Get Top N Stats Of Resources